commit:     9d190af4dfb4101ea252a2fdcb6630af851390a2
Author:     Mike Gilbert <floppym <AT> gentoo <DOT> org>
AuthorDate: Thu Apr  4 00:34:05 2019 +0000
Commit:     Mike Gilbert <floppym <AT> gentoo <DOT> org>
CommitDate: Thu Apr  4 00:34:05 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9d190af4

sys-apps/systemd: bump to 242_rc2

Package-Manager: Portage-2.3.62_p4, Repoman-2.3.12_p87
Signed-off-by: Mike Gilbert <floppym <AT> gentoo.org>

 sys-apps/systemd/Manifest                          |  1 +
 ...{systemd-9999.ebuild => systemd-242_rc2.ebuild} | 27 ++++++++++++++--------
 sys-apps/systemd/systemd-9999.ebuild               | 27 ++++++++++++++--------
 3 files changed, 35 insertions(+), 20 deletions(-)

diff --git a/sys-apps/systemd/Manifest b/sys-apps/systemd/Manifest
index 30f8aac4e80..eff863d22c7 100644
--- a/sys-apps/systemd/Manifest
+++ b/sys-apps/systemd/Manifest
@@ -1,3 +1,4 @@
 DIST systemd-239-patches-2.tar.gz 33416 BLAKE2B 
9602d101cbac65d3b2490f28308e843c28fcaea848dd09005abef0da0bc79ba0766a1cbe7c3cac63f796accddf0295b4eb946e601a201f7e81a48bd1720051ca
 SHA512 
5f5a764d317c43c6b1854171a753eafaca006e12e4f91c81e6ba1d50e80bbbaca23c900fba417264bf9f0d827a73aca71a6da8f2a2043aaaefefed62f5a92b23
 DIST systemd-239.tar.gz 7157293 BLAKE2B 
975f6215c8bb6662d6e161f637e1fece22930c0190b3c31a8fc4cb1a10600546a252704ac95590d9d14e495fcd06082a590e6d755e36603a41b3a396d579d8b0
 SHA512 
fd44590dfd148504c5ed1e67521efce50d84b627b7fc77015fa95dfa76d7a42297c56cc89eff40181809732024b16d48f2a87038cf435e0c63bc2b95ecd86b0f
 DIST systemd-241.tar.gz 7640538 BLAKE2B 
69d7196fee0d0ad06ea8d7c78b0299cc17517ecce3ca4c0b1181a3fbb13bc2627629156785051e2ff427dcc21414f7a078724c6409ebaa431618e4799ebcd50a
 SHA512 
a7757574590e8aa37e1291ea0b2c5eb03a8d8062fe9462fa5b0bf50830c933e2b301d106c70d904f94afc0aa8e43a8acfd11926dfa25b1b89174580e491e545e
+DIST systemd-242-rc2.tar.gz 7816915 BLAKE2B 
3eb6bea6d780b99ead7811050e1ac1e881263df441186844fb4cb28ff2994c52148171332d34962c65834d08f82a80c3ac69ee4c63738fe06e1401f761ceb23e
 SHA512 
0864999fae72613902665d7c3feccf17bb6b5c505267c124278ac7f742201d4858a15801c90021735c7c137cce9b82da4f36a59a012889a7eabff44fad984dc2

diff --git a/sys-apps/systemd/systemd-9999.ebuild 
b/sys-apps/systemd/systemd-242_rc2.ebuild
similarity index 95%
copy from sys-apps/systemd/systemd-9999.ebuild
copy to sys-apps/systemd/systemd-242_rc2.ebuild
index 852df051610..0be24409401 100644
--- a/sys-apps/systemd/systemd-9999.ebuild
+++ b/sys-apps/systemd/systemd-242_rc2.ebuild
@@ -336,16 +336,6 @@ multilib_src_install_all() {
        # Symlink /etc/sysctl.conf for easy migration.
        dosym ../sysctl.conf /etc/sysctl.d/99-sysctl.conf
 
-       # If we install these symlinks, there is no way for the sysadmin to 
remove them
-       # permanently.
-       rm -f 
"${ED}"/etc/systemd/system/multi-user.target.wants/systemd-networkd.service || 
die
-       rm -f "${ED}"/etc/systemd/system/dbus-org.freedesktop.network1.service 
|| die
-       rm -f 
"${ED}"/etc/systemd/system/multi-user.target.wants/systemd-resolved.service || 
die
-       rm -f "${ED}"/etc/systemd/system/dbus-org.freedesktop.resolve1.service 
|| die
-       rm -fr "${ED}"/etc/systemd/system/network-online.target.wants || die
-       rm -fr "${ED}"/etc/systemd/system/sockets.target.wants || die
-       rm -fr "${ED}"/etc/systemd/system/sysinit.target.wants || die
-
        local udevdir=/lib/udev
        use split-usr || udevdir=/usr/lib/udev
 
@@ -402,6 +392,19 @@ migrate_locale() {
        fi
 }
 
+save_enabled_units() {
+       [[ -z ${ROOT} ]] || return
+       for x; do
+               if systemctl --quiet --root="${ROOT:-/}" is-enabled "${x}"; then
+                       ENABLED_UNITS+=( "${x}" )
+               fi
+       done
+}
+
+pkg_preinst() {
+       save_enabled_units {machines,remote-{cryptsetup,fs}}.target 
[email protected]
+}
+
 pkg_postinst() {
        newusergroup() {
                enewgroup "$1"
@@ -437,6 +440,10 @@ pkg_postinst() {
 
        systemd_reenable systemd-networkd.service systemd-resolved.service
 
+       if [[ ${ENABLED_UNITS[@]} ]]; then
+               systemctl --root="${ROOT:-/}" enable "${ENABLED_UNITS[@]}"
+       fi
+
        if [[ -z ${ROOT} && -d /run/systemd/system ]]; then
                ebegin "Reexecuting system manager"
                systemctl daemon-reexec

diff --git a/sys-apps/systemd/systemd-9999.ebuild 
b/sys-apps/systemd/systemd-9999.ebuild
index 852df051610..0be24409401 100644
--- a/sys-apps/systemd/systemd-9999.ebuild
+++ b/sys-apps/systemd/systemd-9999.ebuild
@@ -336,16 +336,6 @@ multilib_src_install_all() {
        # Symlink /etc/sysctl.conf for easy migration.
        dosym ../sysctl.conf /etc/sysctl.d/99-sysctl.conf
 
-       # If we install these symlinks, there is no way for the sysadmin to 
remove them
-       # permanently.
-       rm -f 
"${ED}"/etc/systemd/system/multi-user.target.wants/systemd-networkd.service || 
die
-       rm -f "${ED}"/etc/systemd/system/dbus-org.freedesktop.network1.service 
|| die
-       rm -f 
"${ED}"/etc/systemd/system/multi-user.target.wants/systemd-resolved.service || 
die
-       rm -f "${ED}"/etc/systemd/system/dbus-org.freedesktop.resolve1.service 
|| die
-       rm -fr "${ED}"/etc/systemd/system/network-online.target.wants || die
-       rm -fr "${ED}"/etc/systemd/system/sockets.target.wants || die
-       rm -fr "${ED}"/etc/systemd/system/sysinit.target.wants || die
-
        local udevdir=/lib/udev
        use split-usr || udevdir=/usr/lib/udev
 
@@ -402,6 +392,19 @@ migrate_locale() {
        fi
 }
 
+save_enabled_units() {
+       [[ -z ${ROOT} ]] || return
+       for x; do
+               if systemctl --quiet --root="${ROOT:-/}" is-enabled "${x}"; then
+                       ENABLED_UNITS+=( "${x}" )
+               fi
+       done
+}
+
+pkg_preinst() {
+       save_enabled_units {machines,remote-{cryptsetup,fs}}.target 
[email protected]
+}
+
 pkg_postinst() {
        newusergroup() {
                enewgroup "$1"
@@ -437,6 +440,10 @@ pkg_postinst() {
 
        systemd_reenable systemd-networkd.service systemd-resolved.service
 
+       if [[ ${ENABLED_UNITS[@]} ]]; then
+               systemctl --root="${ROOT:-/}" enable "${ENABLED_UNITS[@]}"
+       fi
+
        if [[ -z ${ROOT} && -d /run/systemd/system ]]; then
                ebegin "Reexecuting system manager"
                systemctl daemon-reexec

Reply via email to